http://worklink.{region}.amazonaws.com/associateWebsiteAuthorizationProviderAssociates a website authorization provider with a specified fleet. This is used to authorize users against associated websites in the company network.
The ARN of the fleet.
The domain name of the authorization provider. This applies only to SAML-based authorization providers.
The authorization provider type.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://worklink.{region}.amazonaws.com/associateWebsiteAuthorizationProvider' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://worklink.{region}.amazonaws.com/associateWebsiteAuthorizationProviderAssociates a website authorization provider with a specified fleet. This is used to authorize users against associated websites in the company network.
The ARN of the fleet.
The domain name of the authorization provider. This applies only to SAML-based authorization providers.
The authorization provider type.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://worklink.{region}.amazonaws.com/associateWebsiteAuthorizationProvider' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}